Bug 848800

Summary: Breaking changes to AS5 Plugin -- This can break other plugins that depend on the AS5 plugin
Product: [Other] RHQ Project Reporter: Mike Foley <mfoley>
Component: PluginsAssignee: Stefan Negrea <snegrea>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.4CC: hrupp, snegrea
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849192 (view as bug list) Environment:
Last Closed: 2013-09-01 06:19:05 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 849192    

Description Mike Foley 2012-08-16 08:38:15 EDT
Description of problem:


jopr-jboss-as-5-plugin-4.4.0.JON311-SNAPSHOT.signature-check.xml

<?xml version="1.0"?>
<diffreport>
  <difference binseverity="ERROR" srcseverity="ERROR" 
class="org.rhq.plugins.jbossas5.Ejb2BeanComponent" method="protected 
org.jboss.managed.api.ManagedComponent getManagedComponent()">In method 
'protected org.jboss.managed.api.ManagedComponent getManagedComponent()' the 
number of arguments has changed</difference>
  <difference binseverity="ERROR" srcseverity="ERROR" 
class="org.rhq.plugins.jbossas5.helper.CreateChildResourceFacetDelegate" 
method="public 
CreateChildResourceFacetDelegate(org.rhq.plugins.jbossas5.ProfileServiceComponent)">In 
method 'public 
CreateChildResourceFacetDelegate(org.rhq.plugins.jbossas5.ProfileServiceComponent)' 
the number of arguments has changed</difference>
</diffreport>

These should be fixed just in case the plugins that depend on AS5 plugin use
these methods.
Comment 1 Stefan Negrea 2012-08-17 09:50:03 EDT
<difference binseverity="ERROR" srcseverity="ERROR" 
class="org.rhq.plugins.jbossas5.Ejb2BeanComponent" method="protected 
org.jboss.managed.api.ManagedComponent getManagedComponent()">In method 
'protected org.jboss.managed.api.ManagedComponent getManagedComponent()' the 
number of arguments has changed</difference>

This difference is due to fixes applied for bug 835113. The old method signature cannot be added back because it would re-introduce the problem fixed by bug 835113. 

This method is just protected so it is not visible (or available for use) outside of inheriting classes. Also, this method is just an override for a base method from ManagedComponentComponent. The base class, ManagedComponentComponent, still has both methods available for use. The fix for bug 835113 had the Ejb2BeanComponent override a different base method. 


Based on this, no action to be taken for this difference.
Comment 2 Stefan Negrea 2012-08-17 12:16:02 EDT
<difference binseverity="ERROR" srcseverity="ERROR" 
class="org.rhq.plugins.jbossas5.helper.CreateChildResourceFacetDelegate" 
method="public CreateChildResourceFacetDelegate(org.rhq.plugins.jbossas5.ProfileServiceComponent)">In method 'public CreateChildResourceFacetDelegate(org.rhq.plugins.jbossas5.ProfileServiceComponent)' the number of arguments has changed</difference>

Added back the old constructor and marked it as deprecated. The old constructor is not used by RHQ code. If external plugins make use of this constructor, the only downside is the SHA256 computation for exploded content. The SHA256 will not be calculated based on the unexploded content but rather on the exploded files on disk. And this calculation will be done by the content discovery process rather than the deployment process (done in normal circumstances).
Comment 3 Stefan Negrea 2012-08-17 12:19:19 EDT
<difference binseverity="ERROR" srcseverity="ERROR" 
class="org.rhq.plugins.jbossas5.helper.CreateChildResourceFacetDelegate" 
method="public CreateChildResourceFacetDelegate(org.rhq.plugins.jbossas5.ProfileServiceComponent)">In method 'public CreateChildResourceFacetDelegate(org.rhq.plugins.jbossas5.ProfileServiceComponent)' the number of arguments has changed</difference>


master branch commit to fix the difference above:

http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=32ad4e17b0f75fcccb84107e01956a519175670f
Comment 4 Heiko W. Rupp 2013-09-01 06:19:05 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.